activeChromosomeSet.BigBang {galgo} | R Documentation

## Focus the analysis to different sets of chromosomes

### Description

Swaps the "active" chromosomes for analysis. All the plots and methods compute the information from the variable `$bestChromosomes`, `$bestFitness` and `$count`. When `callEnhancerFunc` has been used it could be needed to use the same plots with different sets of chromosomes. `activeChromosomeSet` swaps the information between different chromosomes sets to concentrate the analysis on that set.

### Usage

    ## S3 method for class 'BigBang'
    activeChromosomeSet(.O,
    	set=c("evolved", "default", "custom"),
    	count=TRUE,
    	chromosomes=NULL,
    	fitness=NULL,
    	...)

### Arguments

`set` | `"evolved"` specify to analyse original chromosomes that were evolved insted of the enhanced (see evolvedChromosomes and evolvedFitness parameters). `"default"` restore the original chromosomes. `"custom"` is for user-specified chromosomes and fitness.
`count` | Instruct to re-build the `count` matrix used for some plots. Recommended to be `TRUE` always.
`chromosomes` | The chromosome set to analyse. The default is to use the variable `$evolvedChromosomes` from the `BigBang` object.
`fitness` | The fitness of the chromosomes to analyse. The default is to use the variable `$evolvedFitness` from the `BigBang` object.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

       # bb was created
       ## Not run:
       activeChromosomeSet(bb, set="evolved")
       plot(bb)
       activeChromosomeSet(bb, set="default")
       plot(bb)

    ## End(Not run)

[Package galgo version 1.4 Index]